> ## Documentation Index
> Fetch the complete documentation index at: https://developers.stover.app/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn

> Create a post for LinkedIn.

## Request Fields

| Field            | Required | Description                    |
| ---------------- | -------- | ------------------------------ |
| `content`        | Yes      | Post content (max 3,000 chars) |
| `media_urls`     | No       | URLs of images/videos          |
| `hashtags`       | No       | Hashtags without # prefix      |
| `status`         | No       | `draft` or `scheduled`         |
| `scheduled_date` | No       | ISO 8601 date                  |

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.stover.app/v1/posts/linkedin \
    -H "Authorization: Bearer stover_pk_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "content": "Excited to announce our latest partnership!",
      "hashtags": ["partnership", "business"],
      "status": "draft"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.stover.app/v1/posts/linkedin', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer stover_pk_your_api_key',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      content: 'Excited to announce our latest partnership!',
      hashtags: ['partnership', 'business'],
      status: 'draft'
    })
  });
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.stover.app/v1/posts/linkedin',
      headers={
          'Authorization': 'Bearer stover_pk_your_api_key',
          'Content-Type': 'application/json'
      },
      json={
          'content': 'Excited to announce our latest partnership!',
          'hashtags': ['partnership', 'business'],
          'status': 'draft'
      }
  )
  ```
</CodeGroup>


## OpenAPI

````yaml POST /v1/posts/linkedin
openapi: 3.1.0
info:
  title: Stover API
  description: API for managing contacts and social media posts
  version: 1.0.0
  contact:
    email: support@stover.app
servers:
  - url: https://api.stover.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/posts/linkedin:
    post:
      tags:
        - Posts
      summary: Create LinkedIn Post
      description: Create a post for LinkedIn.
      operationId: createLinkedInPost
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedInPostRequest'
      responses:
        '201':
          description: Post created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    LinkedInPostRequest:
      type: object
      required:
        - content
      properties:
        content:
          type: string
          description: Post content (max 3,000 chars)
        media_urls:
          type: array
          items:
            type: string
        hashtags:
          type: array
          items:
            type: string
        status:
          type: string
          enum:
            - draft
            - scheduled
          default: draft
        scheduled_date:
          type: string
          format: date-time
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
    Error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  responses:
    BadRequest:
      description: Validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key: Bearer stover_pk_...'

````